MS Visual Studio 2015 Support


#1

Hi!

I’ve noticed that nuget package of aspose.email.cpp.vc140 v 18.1 is not installed well on VS 2015 SP3. I get a error while including Mapi/MapiRecipientCollection.h, Mapi/MapiMessage.h and so forth since VS can’t find those files. Otherwise, everything works fine if I use Aspose.Email.Cpp v.19.2.0 and VS 2017. Therefore, I’d like to know if you actually support for VS2015? Besides, could you tell me whether you are going to support VS2015 in the future releasing new versions of aspose.email.cpp library.

Thank you in advance!


#2

@Alex_Koshulian,

I have observed the issue shared by you and regret to share that Visual Studio 2015 is only supported upto Aspose.Email for C++ 18.11. For onward releases, you may please configure it with Visual Studio 2017. I hope the shared information will be helpful.


#3

Hi,
I observe the same issue for version 18.11.0 if I use Visual Studio 2015.
I’d like to get some insight how to fix the problem.
Thanks!


#4

UPDATE
I researched the content of the nuget package, and found out that it contains lib files for VS 2017 only. Hence, the version 18.11 does not support for VS 2015.
According to your release notes the latest version, which support VS 2015, is 18.6:
https://docs.aspose.com/display/emailcpp/Aspose.Email+for+CPP+18.8+Release+Notes


#5

@Alex_Koshulian,

I have observed your comments. Can you please try to use Aspose.Email latest version 19.3 on your end. I also like to inform that support always provided based on new version so please try to use latest version and if there is still an issue than report here so that we may help you out.